API reference
Personal account
4 management API operations for Personal account.
/v1/meMe
GET/v1/me/freshnessFreshness
GET/v1/me/sessionsSessions
GET/v1/me/authenticatorsAuthenticators
GET/v1/me
Me
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
No path or query parameters declared.
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonOwnAccount
| Field | Type | Required | Description |
|---|---|---|---|
id | string | Yes | |
issuer | string | Yes | |
subject | string | Yes | |
status | active | Yes | |
version | integer | Yes | |
roles | string[] | Yes | |
memberships | OwnMembership[] | Yes | |
access | OwnAccess[] | Yes |
GET/v1/me/freshness
Freshness
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
No path or query parameters declared.
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonFreshness
| Field | Type | Required | Description |
|---|---|---|---|
snapshot | string | Yes | Opaque signed snapshot JWT |
receipt | string | Yes | Opaque signed receipt JWT |
GET/v1/me/sessions
Sessions
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
No path or query parameters declared.
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
GET/v1/me/authenticators
Authenticators
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
No path or query parameters declared.
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.